Subject: bug#27589: Wrong documentation for .emacs lookup on Windows

From: Björn Lindqvist <[email-masked]>
Date: Sat, 8 Jul 2017 00:09:26 +0200

Sorry, this was a PEBKAC. I had used  (setenv "HOME" (concat (getenv
"HOMEDRIVE") (getenv "HOMEPATH"))) to set the HOME environment variable
from within emacs which I now understand is a terrible idea.

2017-07-05 19:10 GMT+02:00 Eli Zaretskii <[email-masked]>:

> > From: Björn Lindqvist <[email-masked]>
> > Date: Wed, 5 Jul 2017 18:08:23 +0200
> >
> > Information in these pages is incorrect:
> >
> > https://www.gnu.org/software/emacs/manual/html_node/emacs/
> Windows-HOME.html
> > https://www.gnu.org/software/emacs/manual/html_node/efaq-
> w32/Location-of-init-file.html
> >
> > In my case .emacs is at "C:\Users\bjorn\AppData\Roaming\.emacs" Emacs
> does not set the value of the
> > HOME variable to that location:
> >
> > (getenv "HOME")
> > "C:\\Users\\bjorn"
> >
> > And "Within Emacs, <~> at the beginning of a file name is expanded to
> your HOME directory, so you can
> > always find your .emacs file by typing the command C-x C-f ~/.emacs." is
> therefore not true:
> >
> > (expand-file-name "~/.emacs")
> > "c:/Users/bjorn/.emacs"
>
> The information in the manual is correct, I just verified it both in
> Emacs 24.5 and 25.  The problems that you see are most probably due to
> some local issue on your system, like ownership of directories or some
> environment variable.
>
> And btw, what version of Windows is that?  And how are you invoking
> Emacs? from some shell prompt, from a desktop shortcut, from a
> task-bar shortcut, or some other way?
>

-- 
mvh/best regards Björn Lindqvist